Subject: Re: grow: Updated GROW charter

From: David Meyer <[email-masked]>
Date: Mon, 8 Mar 2004 10:52:53 -0800

Folks, please remember that we need to collect any
	comments on the revised GROW charter by tomorrow,
	Tuesday, 09 Mar 2004 (say by 1500 PST).

	Please have a look and let us know if there are issues.

	Thanks,

	Dave

-----
Global Routing Operations (grow)

Last Modified: 2004-03-03

Chair(s):
 Geoff Huston  <[email-masked]>
 David Meyer   <[email-masked]>

Operations and Management Area Director(s):
 Bert Wijnen   <[email-masked]>
 David Kessens <[email-masked]>

Operations and Management Area Advisor:
 David Kessens <[email-masked]>

Technical Advisor(s):
 Bill Fenner   <[email-masked]>
 Vijay Gill    <[email-masked]>

Mailing Lists:
 General Discussion: [email-masked]
 To Subscribe: [email-masked]
 Archive: http://darkwing.uoregon.edu/~llynch/grow/

Description of Working Group:

The Border Gateway Protocol (BGP) is fundamental to the
operation of the Internet. In recent years, occurrences
of BGP related operational issues have increased, and
while overall understanding of the default-free routing
system has improved, there is still a long and growing
list of concerns. Among these are routing table growth
rates, interaction of interior and exterior routing
protocols, dynamic properties of the routing system, and
the effects of routing policy on both the size and
dynamic nature of the routing table. In addition, new and
innovative uses of BGP, such as the use of BGP as a
signaling protocol for some types of Virtual Private
Networks, have created new and unexpected operational
issues.

The purpose of the GROW is to consider the many operational
problems currently associated with global routing system,
including but not limited to routing table growth, the effects of the
interactions between interior and exterior routing protocols, and
the effect of address allocation policies and practices on the
global routing system. Finally, where appropriate, the GROW
documents the operational aspects of measurement, policy,
security, and VPN infrastructures.

GROW will also advise various working groups, including
the IDR and RPSEC working groups, with respect whether it
is addressing the relevant operational needs, and where
appropriate, suggest course corrections. Finally,
operational requirements developed in the GROW can also
be used by any new working group charged with
standardizing a next generation inter-domain routing
protocol.

GOALS:
-----

(i).	Evaluate and develop various methodologies of controlling
	policy information in order to reduce the affect of
	prefix sub-aggregates beyond the necessary diameter, so
	as to reduce the NLRI load on network infrastructure

(ii).	Document and suggest operational solutions to problematic
	aspects of the currently deployed routing system (e.g.,
	MED oscillation) 

(iii).	Analyze aspects of supporting new applications, including 
	extending existing routing protocols and creating new
	ones. This includes risk, interference, and application
	fit.   

(iv).	Determine the effect of IGP extensions on the stability of
	the Internet routing system.  

(v).	Document the operational aspects of securing the Internet
	routing system, and provide recommendations to other WGs.  

Some Relevant References:
-------------------------
http://www.routeviews.org
http://bgp.potaroo.net
http://www.cidr-report.org
http://www.pch.net/routing/BGP_table_size.html
http://moat.nlanr.net/AS
http://www.apnic.net/stats/bgp
http://www.merit.edu/ipma
http://www.caida.org/projects/routing/atoms

Goals and Milestones:

Jan 2004 Publish MED Considerations Draft as WG I-D

Jan 2004 Publish Embedding Globally ...Considered Harmful as WG I-D

Jan 2004 Publish Collection Communities as WG I-D

Jan 2004 Publish RPO (renamed) as WG I-D

Sep 2004 Submit Collection Communities to IESG for BCP

Sep 2004 Submit MED Considerations to IESG for Info

Sep 2004 Submit Embedding Globally ...Considered Harmful to IESG for Info

Dec 2004 Submit RPO to IESG for Info

Internet-Drafts:
No Request For Comments

_________________________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/grow.html
web archive:        http://darkwing.uoregon.edu/~llynch/grow/